Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Mat.FactorShiftType

class petsc4py.PETSc.Mat.FactorShiftType

  Bases: `object`

  Factored matrix shift type.

  See also

  `MatFactorShiftType`

  Attributes Summary

  `INBLOCKS` | Constant `INBLOCKS` of type `int`
  `NONE` | Constant `NONE` of type `int`
  `NONZERO` | Constant `NONZERO` of type `int`
  `NZ` | Constant `NZ` of type `int`
  `PD` | Constant `PD` of type `int`
  `POSITIVE_DEFINITE` | Constant `POSITIVE_DEFINITE` of type `int`

  Attributes Documentation

  INBLOCKS: int = INBLOCKS

    Constant `INBLOCKS` of type `int`

  NONE: int = NONE

    Constant `NONE` of type `int`

  NONZERO: int = NONZERO

    Constant `NONZERO` of type `int`

  NZ: int = NZ

    Constant `NZ` of type `int`

  PD: int = PD

    Constant `PD` of type `int`

  POSITIVE_DEFINITE: int = POSITIVE_DEFINITE

    Constant `POSITIVE_DEFINITE` of type `int`